// components/CustomTextField.tsx
import React from 'react';
import TextField from '@mui/material/TextField';
import { Controller } from 'react-hook-form';

interface CustomTextFieldProps {
  name: string;
  control: any;
  label: string;
  type?: string;
  error?: boolean;
  helperText?: string;
}

const CustomTextField: React.FC<CustomTextFieldProps> = ({ name, control, label, type = 'text', error, helperText }) => {
  return (
    <Controller
      name={name}
      control={control}
      render={({ field }) => (
        <TextField
          {...field}
          label={label}
          type={type}
          error={error}
          helperText={helperText}
          variant="outlined"
          fullWidth
        />
      )}
    />
  );
};

export default CustomTextField;
